Bug 1185262 (CVE-2014-9637) - CVE-2014-9637 patch: local denial of service with a crafted patch
Summary: CVE-2014-9637 patch: local denial of service with a crafted patch
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2014-9637
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150120,reported=2...
Depends On: 1184491
Blocks: 1182159
TreeView+ depends on / blocked
 
Reported: 2015-01-23 10:42 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-31 04:44:11 UTC


Attachments (Terms of Use)
crash.tar.gz (1.80 KB, application/gzip)
2015-01-23 10:45 UTC, Vasyl Kaigorodov
no flags Details

Description Vasyl Kaigorodov 2015-01-23 10:42:14 UTC
It was reported [1] that a crafted diff file (attached) can make patch to eat memory and later segfault.
Upstream commit that fixes this:
http://git.savannah.gnu.org/cgit/patch.git/commit/?id=0c08d7a902c6fdd49b704623a12d8d672ef18944

[1]: https://savannah.gnu.org/bugs/?44051

Comment 1 Vasyl Kaigorodov 2015-01-23 10:45:36 UTC
Created attachment 983284 [details]
crash.tar.gz

Comment 2 Vasyl Kaigorodov 2015-01-23 11:16:11 UTC
Created patch tracking bugs for this issue:

Affects: fedora-all [bug 1184491]

Comment 3 Fedora Update System 2015-01-30 23:54:18 UTC
patch-2.7.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-04 07:20:42 UTC
patch-2.7.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Vincent Danen 2015-07-31 04:44:11 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.